%define module	Locale-Maketext-Simple
%define name	perl-%{module}
%define version 0.12
%define release 5mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl module to use other catalog formats in Maketext
Source0:	http://search.cpan.org/CPAN/authors/id/A/AU/AUTRIJUS/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRoot:	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:      noarch
%description
Locale::Maketext::Simple is simple interface to Locale::Maketext::Lexicon,
a module providing lexicon-handling backends, for "Locale::Maketext" 
to read from other localization formats, such as PO files, MO files, 
or from databases via the "Tie" interface.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Locale
%{_mandir}/man3/*

%changelog
* Mon Jun 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-5mdk 
- don't ship useless emtpy dirs
- spec cleanup
- better url
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-4mdk 
- removed MANIFEST
- added missing doc files

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-2mdk 
- rebuild

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.12-1mdk 
- First MandrakeSoft Package
